@echo off
rem * *********************************************************************
rem *  5695-007 eqqinit.cmd program
rem ***********************************************************************
rem *  Name          : eqqinit.cmd
rem *  Version       : 1.0
rem *  Last edited   : 98/04/16
rem ***********************************************************************
rem *
rem *  Function:
rem *   Installation command file
rem *   -Copy NuTCRACKER files
rem *   -Install NuTCRACKER kernel service program
rem *
rem *  Example:
rem *    eqqinit
rem *
rem *  Change Activity:
rem *    95-12-04       Created  JB
rem *
rem *  Notes:
rem *
rem ***********************************************************************
rem *
rem Test if EQQHOME is set
set CC=%EQQHOME%NOHOME
if %CC%==NOHOME goto nohome
@echo off
rem
rem Copy NuTCRACKER API dynamic link library,  nutc.dll
copy %EQQHOME%\etc\nutc.dll %SystemRoot%\system32
if errorlevel 1 echo copy of %EQQHOME%\etc\nutc.dll to %SystemRoot%\system32 failed.
echo .
rem
rem Copy NuTCRACKER API dynamic link library,  nutsh3.dll
copy %EQQHOME%\etc\nutsh3.dll %SystemRoot%\system32
if errorlevel 1 echo copy of %EQQHOME%\etc\nutsh3.dll to %SystemRoot%\system32 failed.
echo .
rem
rem Copy NuTCRACKER sockets dynamic link library,  socket.dll
copy %EQQHOME%\etc\socket.dll %SystemRoot%\system32
if errorlevel 1 echo copy of %EQQHOME%\etc\socket.dll to %SystemRoot%\system32 failed.
echo ..
rem
rem Copy NuTCRACKER com  dynamic link library,  nutcom.dll  /* PQ00310 */
copy %EQQHOME%\etc\nutcom.dll %SystemRoot%\system32
if errorlevel 1 echo copy of %EQQHOME%\etc\socket.dll to %SystemRoot%\system32 failed.
echo ..
rem
rem Copy NuTCRACKER messages dynamic link library,  ncmsgs.dll  /* PQ00310 */
copy %EQQHOME%\etc\ncmsgs.dll %SystemRoot%\system32
if errorlevel 1 echo copy of %EQQHOME%\etc\socket.dll to %SystemRoot%\system32 failed.
echo ..
rem
rem Copy NuTCRACKER Kernel service,  nutkserv.exe
copy %EQQHOME%\etc\nutkserv.exe %SystemRoot%\system32
if errorlevel 1 echo copy of %EQQHOME%\etc\nutkserv.exe to %SystemRoot%\system32 failed.
echo ...
rem
rem Copy NuTCRACKER Console Server service,  nutcserv.exe
copy %EQQHOME%\etc\nutcserv.exe %SystemRoot%\system32
if errorlevel 1 echo copy of %EQQHOME%\etc\nutcserv.exe to %SystemRoot%\system32 failed.
echo ....
rem
rem Register NuTCRACKER Kernel service program nutkserv.exe
%EQQHOME%\bin\eqqsinst.exe "NuTCRACKER Kernel" %SystemRoot%\system32\nutkserv.exe 
if errorlevel 1 echo Register of the NuTCRACKER Kernel service program nutkserv.exe failed.
echo .....
goto end
:nohome
echo EQQHOME is not set.  Please initialize EQQHOME.
:end 


